# Xat
Aquest codi es connecta a l'API de OpenAI (els creadors de ChatGPT) i n'obté les respostes a les preguntes o comentaris rebuts dels usuaris d'un servidor Mastodon.

### Dependencies

-   **Python 3**
-   Un compte per el bot de Mastodon.
-   [API Key de OpenAI](https://openai.com/api/)

### Com instal·lar i executar el codi:

1. Clonar aquest repositori: `git clone https://git.mastodont.cat/spla/xat.git`.

2. Canviar al directori: `cd xat`

3. Crear l'entorn virtual de Python `python3.x -m venv .` (substituir la x per la versió que tinguis instal·lada, per exemple `python3.10 -m venv .`)

4. Activar l'entorn virtual: `source bin/activate` 

5. Instal·lar les llibreries necesàries: `pip install -r requeriments.txt` 

6. Executar el programa `python mastobot.py`

7. Programar crontab per a que l'executi cada minut: 

*	*	*	*	* cd /ruta/on/tinguem/xat && source bin/activate && python mastobot.py > /dev/null 
